# eric6.Plugins.VcsPlugins.vcsMercurial.HgTagDialog

Module implementing a dialog to enter the data for a tagging operation.

### Global Attributes

None

### Classes

HgTagDialog | Class implementing a dialog to enter the data for a tagging operation.

### Functions

None

## HgTagDialog

Class implementing a dialog to enter the data for a tagging operation.

### Derived from

QDialog, Ui_HgTagDialog

### Class Attributes

CreateGlobalTag
CreateLocalTag
DeleteGlobalTag
DeleteLocalTag

### Class Methods

None

### Methods

HgTagDialog | Constructor
getParameters | Public method to retrieve the tag data.
on_tagCombo_currentIndexChanged | Private slot setting the local status of the selected entry.
on_tagCombo_editTextChanged | Private method used to enable/disable the OK-button.

### Static Methods

None

#### HgTagDialog (Constructor)

HgTagDialog(taglist, revision=None, tagName=None, parent=None)

Constructor

taglist
  list of previously entered tags (list of strings)
revision
  revision to set tag for (string)
tagName
  name of the tag (string)
parent
  parent widget (QWidget)

#### HgTagDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of two strings and int (tag, revision, tag operation)

#### HgTagDialog.on_tagCombo_currentIndexChanged

on_tagCombo_currentIndexChanged(index)

Private slot setting the local status of the selected entry.

index
  index of the selected entrie (integer)

#### HgTagDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  tag name entered in the combo (string)

Up